.\"
.\" knight-path - shortest knight path between two squares
.\" Copyright (C) 2011 Peter Miller
.\"
.\" This program is free software; you can redistribute it and/or modify
.\" it under the terms of the GNU General Public License, version 3, as
.\" published by the Free Software Foundation.
.\"
.\" This program is distributed in the hope that it will be useful,
.\" but WITHOUT ANY WARRANTY; without even the implied warranty of
.\" MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
.\" General Public License for more details.
.\"
.\" You should have received a copy of the GNU General Public License along
.\" with this program. If not, see <http://www.gnu.org/licenses/>.
.\"
.TH "Read Me" Knight-Path Knight-Path "Reference Manual"
.si etc/version.so
.SH DESCRIPTION
The \f[I]knight\[hy]path\fP(1) command is used to calculate the shortest
path a knight piece can take between two squares on a chess board.
.SH BUILDING
This is traditional open source software, and the usual build method
applies.  After fetching the tarball, do the following:
.PP
.RS
.nf
.ft CW
$ \f[CB]tar xzf knight\-path\-\*(V).tar.gz\fP
$ \f[CB]cd knight\-path\-\*(V)\fP
$ \f[CB]./configure \-\-prefix=/usr\fP
$ \f[CB]make\fP
$
.ft R
.fi
.RE
.PP
The software includes a test suite:
.PP
.PP
.RS
.nf
.ft CW
$ \f[CB]make sure\fP
Passed all tests.
$
.ft R
.fi
.RE
.PP
If you wish to install the software, only one more command is required:
.PP
.RS
.nf
.ft CW
$ \f[CB]make install\fP
$
.ft R
.fi
.RE
.PP
All done.
See the \f[I]knight\[hy]path\fP(1) man page for more how to use it.
.SH CODE LAYOUT
The source code for the \f[I]knight\[hy]path\fP(1) program will be found in
the top\[hy]level \f[CW]knight\-path\fP directory.  All the C++ files below
that point are compiled and linked together.  (Plus, there is some code
in the \f[CW]lib\fP directory, that would be shared if I added another
program to this project.)
.PP
Below the knight\[hy]path directory, the directory hierarchy follows the
class hierarchy.  For example: the \f[CW]solver\fP abstract base
class is \f[CW]knight\-path/solver.h\fP and its derives classes are
\f[CW]knight\-path/solver/\fP\f[I]name\fP\f[CW].h\fP, and so on.
.PP
The \f[CW]Makefile\fP takes care of all of this, non\[hy]recursively.
You only need to know this if you are going to be reading the code.
.PP
The source code contains full Doxygen documentation.
If desired, this could be extracted and turned into HTML pages.
See http://www.doxygen.org/ for more information.
.ds n) knight\[hy]path
.so man/man1/z_copyright.so
