//
// knight-path - shortest knight path between two squares
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License, version 3, as
// published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef LIB_LIBDIR_H
#define LIB_LIBDIR_H

/**
  * The configured_prefix function is used to retrieve the prefix
  * determined the ./configure script.
  */
const char *configured_prefix(void);

/**
  * The configured_bindir function is used to retrieve the directory
  * used to hold executable program files determined the ./configure
  * script.
  */
const char *configured_bindir(void);

/**
  * The configured_datadir function is used to retrieve the library
  * directory (architecture neutral) determined the ./configure script.
  */
const char *configured_datadir(void);

/**
  * The configured_libdir function is used to retrieve the library
  * directory (architecture specific) determined the ./configure script.
  */
const char *configured_libdir(void);

/**
  * The configured_mandir function is used to retrieve the manual page
  * directory determined the ./configure script.
  */
const char *configured_mandir(void);

/**
  * The configured_sysconfdir function is used to retrieve the system
  * configuraton directory determined the ./configure script.
  */
const char *configured_sysconfdir(void);

#endif // LIB_LIBDIR_H
