//
// knight-path - shortest knight path between two squares
// Copyright (C) 2011 Peter Miller
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License,
// version 3, as published by the Free Software Foundation.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License along
// with this program. If not, see <http://www.gnu.org/licenses/>.
//

#ifndef LIB_VERSION_H
#define LIB_VERSION_H

/**
  * The version function is used to obtain the version number.  This is
  * provided by Aegis, and changes for each change set.
  */
const char *version(void);

/**
  * The copyright_years function is used to obtain the list of copyright
  * years.  This is provided by Aegis.
  */
const char *copyright_years(void);

/**
  * The copyright_owner function is used to obtain the name of the
  * copyright owner.  This is provided by Aegis.  For an open source
  * project, this is often the user building the change set.
  */
const char *copyright_owner(void);

#endif // LIB_VERSION_H
